package xiaoqu.home.open.service.db2.impl;

import xiaoqu.home.open.model.db2.ModifyLog;
import xiaoqu.home.open.mapper.db2.ModifyLogMapper;
import xiaoqu.home.open.service.db2.ModifyLogService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 变更日志 服务实现类
 * </p>
 *
 * @author wh
 * @since 2022-04-07
 */
@Service
public class ModifyLogServiceImpl extends ServiceImpl<ModifyLogMapper, ModifyLog> implements ModifyLogService {

	@Override
	public void addLog(String functionModule, String context, int source, int actionType) {
		ModifyLog modifyLog = new ModifyLog();
		modifyLog.setFunctionModule(functionModule);
		modifyLog.setContext(context);
		modifyLog.setSource(source);
		modifyLog.setActionType(actionType);
		save(modifyLog);
	}

}
